> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Create a member

POST https://api.sigmacomputing.com/v2/members
Content-Type: application/json

Create a user.

  ### Usage notes
  - Creating a user with this endpoint sends an email invitation to the user. Embed users are not sent email invitations.
  - Review the account types returned by the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint to understand the format of the **memberType** string.
  - If **memberType** is omitted, the organization's Invitation default account type (configured in Admin > Account types) is used. If no Invitation default is configured, a built-in default account type is used.
  - Retrieve the **teamId**(s) by calling the [/v2/teams](https://help.sigmacomputing.com/reference/list-teams) endpoints.
    

Reference: https://help.sigmacomputing.com/reference/create-member

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/members:
    post:
      operationId: createMember
      summary: Create a member
      description: |-
        Create a user.

          ### Usage notes
          - Creating a user with this endpoint sends an email invitation to the user. Embed users are not sent email invitations.
          - Review the account types returned by the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint to understand the format of the **memberType** string.
          - If **memberType** is omitted, the organization's Invitation default account type (configured in Admin > Account types) is used. If no Invitation default is configured, a built-in default account type is used.
          - Retrieve the **teamId**(s) by calling the [/v2/teams](https://help.sigmacomputing.com/reference/list-teams) endpoints.
            
      tags:
        - Members
      parameters:
        - name: sendInvite
          in: query
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/members_createMember_Response_200'
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                firstName:
                  type: string
                lastName:
                  type: string
                memberType:
                  type: string
                  description: Account type
                isGuest:
                  type: boolean
                userKind:
                  $ref: >-
                    #/components/schemas/V2MembersPostRequestBodyContentApplicationJsonSchemaUserKind
                addToTeams:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/V2MembersPostRequestBodyContentApplicationJsonSchemaAddToTeamsItems
                  description: Add user to one or more teams.
              required:
                - email
                - firstName
                - lastName
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2MembersPostRequestBodyContentApplicationJsonSchemaUserKind:
      type: string
      enum:
        - internal
        - guest
        - embed
      title: V2MembersPostRequestBodyContentApplicationJsonSchemaUserKind
    V2MembersPostRequestBodyContentApplicationJsonSchemaAddToTeamsItems:
      type: object
      properties:
        teamId:
          type: string
        isTeamAdmin:
          type: boolean
      required:
        - teamId
      description: Whether to set the user as an admin for this team.
      title: V2MembersPostRequestBodyContentApplicationJsonSchemaAddToTeamsItems
    members_createMember_Response_200:
      type: object
      properties:
        organizationId:
          type: string
        memberId:
          type: string
        memberType:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        profileImgUrl:
          type:
            - string
            - 'null'
        createdBy:
          type: string
        updatedBy:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        homeFolderId:
          type: string
          description: ID of the My Documents folder for the user
        userKind:
          type: string
        isArchived:
          type: boolean
          description: Whether a user is deactivated in Sigma.
        isInactive:
          type: boolean
          description: Whether a user is archived by SCIM.
      required:
        - organizationId
        - memberId
        - memberType
        - firstName
        - lastName
        - email
        - profileImgUrl
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - homeFolderId
        - userKind
      title: members_createMember_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "email": "jane.doe@example.com",
  "firstName": "Jane",
  "lastName": "Doe"
}
```

**Response**

```json
{
  "organizationId": "org-1234567890abcdef",
  "memberId": "mem-0987654321fedcba",
  "memberType": "standard_user",
  "firstName": "Jane",
  "lastName": "Doe",
  "email": "jane.doe@example.com",
  "profileImgUrl": "https://cdn.sigmacomputing.com/profiles/jane_doe.png",
  "createdBy": "admin-001",
  "updatedBy": "admin-001",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "homeFolderId": "folder-abc123def456",
  "userKind": "internal",
  "isArchived": false,
  "isInactive": false
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/members"

payload = {
    "email": "jane.doe@example.com",
    "firstName": "Jane",
    "lastName": "Doe"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/members';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"email":"jane.doe@example.com","firstName":"Jane","lastName":"Doe"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/members"

	payload := strings.NewReader("{\n  \"email\": \"jane.doe@example.com\",\n  \"firstName\": \"Jane\",\n  \"lastName\": \"Doe\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/members")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"jane.doe@example.com\",\n  \"firstName\": \"Jane\",\n  \"lastName\": \"Doe\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/members")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"jane.doe@example.com\",\n  \"firstName\": \"Jane\",\n  \"lastName\": \"Doe\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/members', [
  'body' => '{
  "email": "jane.doe@example.com",
  "firstName": "Jane",
  "lastName": "Doe"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/members");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email\": \"jane.doe@example.com\",\n  \"firstName\": \"Jane\",\n  \"lastName\": \"Doe\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "email": "jane.doe@example.com",
  "firstName": "Jane",
  "lastName": "Doe"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/members")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```